package findyourfate.com.rahuketupeyarchi; 
 
   


import android.annotation.SuppressLint;  
import android.app.Activity;
import android.app.AlertDialog;
import android.content.DialogInterface;
import android.content.Intent;  
import android.net.Uri;
import android.os.Bundle;
import android.view.Menu; 
import android.view.MenuInflater;
import android.view.MenuItem; 
public class rahucontentt extends Activity
{  
  

		
   
	
	@Override
	public void onCreate(Bundle savedInstanceState) {
		super.onCreate(savedInstanceState);
		setContentView(R.layout.rahucontent);  

		 	     
		 			
	}
			       


	

	 @Override
     public boolean onCreateOptionsMenu(Menu menu) {
  	
		 MenuInflater inflater = getMenuInflater();
		    inflater.inflate(R.menu.main, menu);
		    menu.findItem(R.id.icon_rasi).setVisible(true);  
		 // animation = (AnimationView) menu.findItem(R.id.character);
		    return super.onCreateOptionsMenu(menu); 
		    
		    
     }

  @SuppressLint("NewApi")
	@Override
    public boolean onOptionsItemSelected(MenuItem item) {
	  if (item.getItemId() ==android.R.id.home) {
  		  Intent int_home = new Intent(this, home.class);
	           int_home.addFlags(Intent.FLAG_ACTIVITY_CLEAR_TOP);
	             startActivity(int_home); 
  	  }
	  else if (item.getItemId() ==R.id.icon_rasi) {
  		  Intent int_home = new Intent(this, home.class);
	           int_home.addFlags(Intent.FLAG_ACTIVITY_CLEAR_TOP);
	             startActivity(int_home); 
  	  }
	/*  else if (item.getItemId() ==R.id.rahu) {
  		  Intent int_home = new Intent(this, rahucontent.class);
	           int_home.addFlags(Intent.FLAG_ACTIVITY_CLEAR_TOP);
	             startActivity(int_home); 
  	  }
	  else if (item.getItemId() ==R.id.rahupalan) {
	  		final ProgressDialog progressDoalog = new ProgressDialog(rahucontent.this);
	  		progressDoalog.setProgressDrawable(rahucontent.this.getResources().getDrawable(R.drawable.progress));  
	     progressDoalog.setMessage("Please Wait....");
	    progressDoalog.setTitle("Loading...");
	    progressDoalog.setProgressStyle(ProgressDialog.STYLE_SPINNER);
	    progressDoalog.setCancelable(true); 
	    progressDoalog.show();
	    new Thread() {
	        public void run() {
	            try {
	            	 Intent int_home = new Intent(rahucontent.this, palangal2017.class);
	  	           int_home.addFlags(Intent.FLAG_ACTIVITY_CLEAR_TOP);
	  	             startActivity(int_home); 
	   	    		 
		  			 
	            } catch (Exception e) {
	            }
	            progressDoalog.dismiss();
	        }
	    }.start();
	  }*/
      		else if (item.getItemId() ==R.id.guru) {
	    
	    
AlertDialog.Builder alt_compat = new AlertDialog.Builder(this);
String desc="App to find out when Guru Peyarchi or Jupiter transit takes place.";	


	/*LinearLayout layout = new LinearLayout(this); 
	TextView tvMessage = new TextView(this);  
	tvMessage.setBackgroundColor(Color.parseColor("#e9b44f")); 
	tvMessage.setText(desc); 
  tvMessage.setPadding(5, 5, 5, 5);
	tvMessage.setTextSize(17); 
	layout.setOrientation(LinearLayout.VERTICAL);
	layout.addView(tvMessage); 
	alt_compat.setView(layout);  */

				alt_compat.setTitle("Guru Peyarchi");
				alt_compat.setMessage(desc); 
				alt_compat.setCancelable(false) 
						 
						                .setPositiveButton("Later", new DialogInterface.OnClickListener() {
						                    public void onClick(DialogInterface dialog, int id) {
						                    	 
						                    	 dialog.cancel();
						                    }
						                })
						                .setNegativeButton("Never/Already", new DialogInterface.OnClickListener() {
						                    public void onClick(DialogInterface dialog, int id) {
						                    	dialog.cancel();
						                    	      	  						                    }
						                })
						                
						                .setNeutralButton("Open", new DialogInterface.OnClickListener() {
						    public void onClick(DialogInterface dialog, int id) {
						    	
						    	
						     
						    	 Intent browserIntent = new Intent(Intent.ACTION_VIEW, Uri.parse("market://details?id=findyourfate.com.gurupeyarchi"));
						    	 startActivity(browserIntent);
						    
						   
}
						    });
						
						      
						         AlertDialog alert = alt_compat.create();   
						         alert.show();

  	    	}
     		else if (item.getItemId() ==R.id.sani) {
    	  	    
    	  	    
  			  AlertDialog.Builder alt_compat = new AlertDialog.Builder(this);
  			  String desc="App to find out when Sani Peyarchi or Saturn transit takes place.";	
  			  
  			  
  				/*LinearLayout layout = new LinearLayout(this); 
  				TextView tvMessage = new TextView(this);  
  				tvMessage.setBackgroundColor(Color.parseColor("#e9b44f")); 
  				tvMessage.setText(desc); 
  			    tvMessage.setPadding(5, 5, 5, 5);
  				tvMessage.setTextSize(17); 
  				layout.setOrientation(LinearLayout.VERTICAL);
  				layout.addView(tvMessage); 
  				alt_compat.setView(layout);  */
  			  
  			  				alt_compat.setTitle("Sani Peyarchi");
  			  				alt_compat.setMessage(desc); 
  							alt_compat.setCancelable(false) 
  			  						 
  			  						                .setPositiveButton("Later", new DialogInterface.OnClickListener() {
  			  						                    public void onClick(DialogInterface dialog, int id) {
  			  						                    	 
  			  						                    	 dialog.cancel();
  			  						                    }
  			  						                })
  			  						                .setNegativeButton("Never/Already", new DialogInterface.OnClickListener() {
  			  						                    public void onClick(DialogInterface dialog, int id) {
  			  						                    	dialog.cancel();
  			  						                    	      	  						                    }
  			  						                })
  			  						                
  			  						                .setNeutralButton("Open", new DialogInterface.OnClickListener() {
  			  						    public void onClick(DialogInterface dialog, int id) {
  			  						    	
  			  						    	
  			  						     
  			  						    	 Intent browserIntent = new Intent(Intent.ACTION_VIEW, Uri.parse("market://details?id=findyourfate.com.sanipeyarchi"));
  			  						    	 startActivity(browserIntent);
  			  						    
  			  						   
  			  }
  			  						    });
  			  						
  			  						      
  			  						         AlertDialog alert = alt_compat.create();   
  			  						         alert.show();

  			    	    	}
  	    	else if (item.getItemId() ==R.id.icon_exit) {
	     	AlertDialog.Builder builder = new AlertDialog.Builder(this);
		         builder.setMessage("Are you sure you want to leave this App.")
		                .setCancelable(false)
		                .setPositiveButton("Yes", new DialogInterface.OnClickListener() {
		                    public void onClick(DialogInterface dialog, int id) {
		                    	Intent intent = new Intent(Intent.ACTION_MAIN);
			       		    	intent.addCategory(Intent.CATEGORY_HOME);
			       		    	intent.setFlags(Intent.FLAG_ACTIVITY_NEW_TASK);
			       		    	startActivity(intent);
		                    }
		                })
		                .setNegativeButton("No", new DialogInterface.OnClickListener() {
		                    public void onClick(DialogInterface dialog, int id) {
		                         dialog.cancel();
		                    }
		                });
		         AlertDialog alert1 = builder.create();
		         alert1.setTitle("Close App.");
		         alert1.setIcon(R.drawable.alert);
		         alert1.show();
  	    	}
  	    	
  	    	else if (item.getItemId() ==R.id.share) {
  	    		
	    	Intent emailIntent = new Intent(android.content.Intent.ACTION_SEND);
	    	emailIntent.setType("text/plain");
    		emailIntent.putExtra(android.content.Intent.EXTRA_SUBJECT, "Rahu-Ketu Peyarchi by findyourfate.com");
    		emailIntent.putExtra(android.content.Intent.EXTRA_TEXT, "Hi,I would like to suggest, this Rahu-Ketu Peyarchi App to you. Click this link to download app http://goo.gl/ypifK6"+"\n\n"+" Regards");
      startActivity(Intent.createChooser(emailIntent,"Share using")); 
  	    	}
  	    	 else {
  	     	} 
  	    	return true;
	           
	    
    }
     
 	@Override
	public void onBackPressed() {
 		rahucontentt.this.finish();
 	}
}
	  